.TH GIT\-HOURS 1 "5 Oct 2020" "1.3.0" "Git Hours Man Page"

.ll 80

.SH NAME
git hours \- count the time spent on code via git

.SH SYNOPSIS
.SY git\-hours
.OP \-e email
.OP \-d max_commits_difference_minutes
.OP \-f first_commit_minutes
.RI [ file_name ]
.YS

.SH DESCRIPTION
git\-hours is a simple implementation of a git commits\-based algorithm for calculating hours spent on code.
.br
In short: it groups commits by time interval and sum timestamp differences.
.br
You can check original algorithm here: https://github.com/kimmobrunfeldt/git-hours#how-it-works

.SH OPTIONS
\-e
.I email
.br
.in 14
Use this
.I email
to count, instead of default from
.I .gitconfig
file.
.br
.in
\-d
.I max_commits_difference_minutes
.br
.in 14
Stack commits only if between them <=
.I max_commits_difference_minutes
minutes.
.br
.in
\-f
.I first_commit_minutes
.br
.in 14
Add
.I first_commit_minutes
minutes for every first commit in stack.
.br
.in
\-h
.br
.in 14
Open this manual page.
.br
.in
\-v
.br
.in 14
Show git hours version information.
.in

.SH BUGS
No known bugs, but if you get one, please open issue here:
.I https://github.com/ceigh/git\-hours/issues/new

.SH EXAMPLES
git\-hours
.br
.in 14
Use current working directory as git repository for count and show hours spended for user from default
.I .gitconfig
file.
.br
.in
git -C
.I /path/to/repo
hours
.br
.in 14
Use
.I /path/to/repo
as git repository for count and show hours spended for user from default
.I .gitconfig
file.
.br
.in
git\-hours \-e
.I me@org.com
.br
.in 14
Use current working directory as git repository for count and show hours spended for user with
.I me@org.com
email.
.br
.in
git -C
.I /path/to/repo
hours \-e
.I me@org.com
.br
.in 14
Use
.I /path/to/repo
as git repository for count and show hours spended for user with
.I me@org.com
email.
.in
git\-hours
.I file_name
.br
.in 14
Restrict calculations to one specific file.
.in

.SH AUTHOR
Artjom Löbsack <me@ceigh.com> (https://ceigh.com)

.SH SEE ALSO
git-config(1)
